## NAME

CURLOPT_HTTPPROXYTUNNEL - tunnel through HTTP proxy

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_HTTPPROXYTUNNEL, long tunnel);

## DESCRIPTION

Set the parameter to 1 to make libcurl tunnel all operations through the HTTP proxy. There is a big difference between using a proxy and to tunnel through it. If you don't know what this means, you probably don't want this tunneling option.

Tunneling essentially means that a CONNECT is sent to the proxy, asking it to connect to a remote host on a specific port number and then the traffic is just passed through the proxy. Proxies tend to whitelist specific port numbers it allows CONNECT requests to and often only port 80 and 443 are allowed.

When using this, it only makes sense to use CURLOPT_PROXYTYPE set to a HTTP proxy.

## DEFAULT

0

## PROTOCOLS

All network protocols

## EXAMPLE

TODO

## AVAILABILITY

Always

## RETURN VALUE

Returns CURLE_OK

## SEE ALSO

CURLOPT_PROXY, CURLOPT_PROXYTYPE, CURLOPT_PROXYPORT

This HTML page was made with roffit.